{% set CodiceModulo = "RICH_RICERCA_STORICA_ANAG" %}
{% set Urn = "document:c_g535:ricerca.storica.anagrafe;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è presentato in forma cartacea e sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di ricerca storica negli archivi anagrafici"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|29/08/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di ricerca storica negli archivi anagrafici {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Domanda di ricerca storica negli archivi anagrafici'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di ricerca storica<br>negli archivi anagrafici </div>
</div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                                   intestazione="Il sottoscritto", 
                                   visibility_intestazione="visibility:visibility", 
                                   visibility_residenza="visibility:visibility", 
                                   visibility_mail="display:none", 
                                   cf_obbligatorio="true", 
                                   pec_obbligatoria ="false", 
                                   campi_readonly="", 
                                   mailordinaria_obbligatoria="false", 
                                   visibility_domicilio="display:none", 
                                   visibility_datanascita="visibility:visibility", 
                                   onceonly="true")}}
     
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container border bg-light">
  <div class="space-1"></div>
  <div class="form-row ml-1 mr-1">
    <div class="paragraph text-justify"> 
      consapevole delle sanzioni penali previste in caso di dichiarazioni mendaci così come stabilito dall'art. 26 della Legge 15/68,
      richiamato dall’art. 76 comma 3 del D.P.R. 445/2000
    </div>
    <div class="space-1"></div>
  </div>  
  
  <div class="title-3"> RICHIEDE </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara_Residenza" name="Dichiara_Residenza" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara_Residenza"> certificato di residenza </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara_StatoFamiglia" name="Dichiara_StatoFamiglia" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara_StatoFamiglia"> certificato di stato di famiglia </label>
  </div>
</div>
<div class="container">
  <input id="Parametri_ControlloCert" name="Parametri_ControlloCert" type="hidden"
         mandatory_enabled="#Dichiara_StatoFamiglia.checked() and #Dichiara_Residenza.checked() == false and #Dichiara_IsSegretario.checked() == false and #Dichiara_IsScrutatore.checked() == false">
  <input id="Parametri_LabelCheckCert" name="Parametri_LabelCheckCert" readonly
         style="width:100%;font-weight:bold;font-size:10px;color:red;border:0px" font-size="10px"
         dynamic_value="(#Dichiara_Residenza.checked() == false and
                         #Dichiara_StatoFamiglia.checked() == false) ? 'Almeno una scelta obbligatoria' : '' "/>
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory="true">
    <div class="paragraph text-left ml-1 mt-1"> dalla data del&nbsp; </div>
    <div class="form-group col-lg-2">
      <input class="form-control" id="Parametri_DataDecorrenza" format="date" name="Parametri_DataDecorrenza">
    </div>
    <div class="paragraph text-left mt-1"> &nbsp;alla data del&nbsp; </div>
    <div class="form-group col-lg-2">
      <input class="form-control" id="Parametri_DataRegistrazione" format="date" name="Parametri_DataRegistrazione">
    </div>
  </div>
  <div class="space-1"></div>
  <div class="paragraph text-justify"> relativamente a </div>
  <div id="Tassonomia_PersonaRichiedente" name="Tassonomia_PersonaRichiedente" label="Label" mandatory_enabled="true"></div>
  <div class="form-check indent-1 ml-1">
    <input class="form-check-input" id="Tassonomia_PersonaRichiedente1" name="Tassonomia_PersonaRichiedente" type="radio" value="Se stesso">
    <label class="form-check-label" for="Tassonomia_PersonaRichiedente1"> la propria persona </label>
  </div>    
  <div class="form-check indent-1 ml-1">
    <input class="form-check-input" id="Tassonomia_PersonaRichiedente2" name="Tassonomia_PersonaRichiedente" type="radio" value="Altra persona">
    <label class="form-check-label" for="Tassonomia_PersonaRichiedente2"> altro soggetto </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_PersonaRichiedente2.checked()">
      <div class="form-group col-lg-3">
        <label for="Parametri_NomeReferente"> Nome </label>
        <input class="form-control" id="Parametri_NomeReferente" name="Parametri_NomeReferente" label="Nome">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_CognomeReferente"> Cognome </label>
        <input class="form-control" id="Parametri_CognomeReferente" name="Parametri_CognomeReferente" label="Cognome">
      </div>
      <div class="form-group col-lg-4">
        <label for="Parametri_LuogoNascReferente"> Nato a </label>
        <input class="form-control" id="Parametri_LuogoNascReferente" name="Parametri_LuogoNascReferente" label="Nato a">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_DataNascReferente"> In data </label>
        <input class="form-control" id="Parametri_DataNascReferente" name="Parametri_DataNascReferente" label="In data">
      </div>
    </div>
  </div>
  <div class="paragraph text-justify"> necessario per </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_Motivo"> Specificare la motivazione </label>
      <input class="form-control" id="Parametri_Motivo" mandatory_enabled="true" name="Parametri_Motivo" label="Motivazione">
    </div>
  </div>
  <div class="space-1"></div>
</div>
<div class="container">
  <div class="form-row">
    <input id="Parametri_LabelCheckGiuridico" name="Parametri_LabelCheckGiuridico" readonly
           style="width:100%;font-weight:bold;font-size:10px;color:black;border:0px" font-size="10px"
           dynamic_value="(#Tassonomia_PersonaRichiedente2.checked()) ? 'Se il certificato è riferito ad altra persona la motivazione deve essere giuridicamente rilevante. (art. 35 comma 4 del DPR 30 maggio 1989, n.223)' : '' "/>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  <div class="title-3"> DICHIARA </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Parametri_PresaVisione" name="Parametri_PresaVisione" type="checkbox" value="SI" mandatory="true" dynamic_check="true">
    <label class="form-check-label text-left" for="Parametri_PresaVisione"> di aver preso visione del seguente articolo del regolamento comunale </label>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="paragraph text-justify" style="font-size:12px">  
        la D.G.C. n°102 del 05/06/2020 del Comune di Piacenza, prevede che per i certificati redatti a mano,
        con ricerca d'archivio per ogni singolo nominativo contenuto la spesa è di euro 5,00, se il certificato<
        è rilasciato in bollo e di euro 2,50 se il certificato è in esenzione dall'imposta di bollo.<br>
        <br>
        Il pagamento dei diritti di ricerca storica dovrà essere effettuato tramite il sistema PagoPA.
      </div>
    </div>
  </div>
  <div class="space-1"></div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}